Subject: Git push to samba/cifs share fails

From: Emanuel Rietveld <[email-masked]>
Date: Fri, 30 Mar 2012 18:23:21 +0200

I get an error message when I try to push my git repository to a share 
mounted with mount.cifs.

[emanuel@faseri01 frog]$ sudo mount.cifs //windows2003/emanuel /mnt/e -o 
user=emanuel,uid=500
Password:
[emanuel@faseri01 frog]$ mkdir /mnt/e/frog.git
[emanuel@faseri01 frog]$ git init --bare /mnt/e/frog.git
Initialized empty Git repository in /mnt/e/frog.git/
[emanuel@faseri01 frog]$ git push /mnt/e/frog.git/ master
Counting objects: 18, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (16/16), done.
fatal: error when closing sha1 file: Bad file descriptor
error: pack-objects died of signal 13
error: failed to push some refs to '/mnt/e/frog.git/'
[emanuel@faseri01 frog]$ du -hs
67M	.
[emanuel@faseri01 frog]$ uname -a
Linux faseri01 3.3.0-4.fc16.x86_64 #1 SMP Tue Mar 20 18:05:40 UTC 2012 
x86_64 x86_64 x86_64 GNU/Linux
[emanuel@faseri01 frog]$ git --version
git version 1.7.7.6

This repository is 67M. I do not have any git hooks configured. Another, 
smaller repository works without errors if I follow the same procedure. 
The client is a fully up to date Fedora 16 machine. The server is a 
windows 2003 server.

Is this kind of usage possible with git? I just want to back up my 
repository to the fileserver.

Thank you for your time.

Kind Regards,

Emanuel Rietveld